package _VisualDVM.GlobalData.SapforProfile;
import Common.Database.Objects.iDBObject;
import Common.Utils.Utils_;
import com.sun.org.glassfish.gmbal.Description;

import javax.swing.*;
public class SapforProfile extends iDBObject {
    @Description("DEFAULT ''")
    public String description = "";
    @Description("DEFAULT 0")
    public long creationDate = 0;
    @Description("DEFAULT 0")
    public int isAuto = 0;
    public ImageIcon GetAutoIcon() {
        return Utils_.getIcon("/Common/icons/" + (isAuto == 1 ? "RedPick" : "NotPick") + ".png");
    }
    public String printAuto() {
        return isAuto > 0 ? "Да" : "Нет";
    }
    public void SwitchAuto() {
        isAuto = (isAuto == 0) ? 1 : 0;
    }
}
